Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface ConstantPushInstruction

All Superinterfaces:
  PushInstruction, StackProducer, TypedInstruction

All Known Implementing Classes:
  BIPUSH, DCONST, FCONST, ICONST, LCONST, SIPUSH

public interface ConstantPushInstruction
extends PushInstruction, TypedInstruction

Denotes a push instruction that produces a literal on the stack such as SIPUSH, BIPUSH, ICONST, etc.

Version:
  $Id: ConstantPushInstruction.java,v 1.1.1.1 2001/10/29 20:00:08 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  `ICONST`, `SIPUSH`

Method Summary
`java.lang.Number` | `getValue()`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.TypedInstruction
`getType`

Method Detail

### getValue

    public java.lang.Number getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.